CREATE TABLE fla_properties_all (
    PROPERTY_ID                   NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    PROPERTY_NUMBER               VARCHAR2(120)     NOT NULL,
    PROPERTY_TYPE_ID              NUMBER(18, 0)     NOT NULL,
    PROPERTY_DESCRIPTION          VARCHAR2(960) ,
    PROPERTY_TYPE_LEVEL_CODE      VARCHAR2(120)     NOT NULL,
    PROPERTY_START_DATE           DATE          ,
    PROPERTY_END_DATE             DATE          ,
    RESPONSIBLE_USER_NAME         VARCHAR2(400) ,
    ORG_ID                        NUMBER(18, 0)     NOT NULL,
    INTERNAL_LOCATION_ID          NUMBER(18, 0) ,
    EXTERNAL_LOCATION_ID          NUMBER(18, 0) ,
    PARENT_PROPERTY_ID            NUMBER(18, 0) ,
    PROPERTY_CODE                 VARCHAR2(120)     NOT NULL,
    ROOT_PROPERTY_CODE            VARCHAR2(120) ,
    ACTIVE_FLAG                   VARCHAR2(4)   ,
    SUBLEASABLE_FLAG              VARCHAR2(4)   ,
    PROPERTY_SIZE                 NUMBER        ,
    UNIT_OF_MEASURE_CODE          VARCHAR2(120) ,
    TENURE_CODE                   VARCHAR2(120) ,
    LEASABLE_LEVEL_FLAG           VARCHAR2(4)   ,
    HIERARCHICAL_PROPERTY_CODE    VARCHAR2(1440)    NOT NULL,
    SYSTEM_ORIGIN_REFERENCE_1     VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_2     VARCHAR2(120) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    PROPERTY_ID                   NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    PROPERTY_NUMBER               VARCHAR2(120)     NOT NULL,
    PROPERTY_TYPE_ID              NUMBER(18, 0)     NOT NULL,
    PROPERTY_DESCRIPTION          VARCHAR2(960) ,
    PROPERTY_TYPE_LEVEL_CODE      VARCHAR2(120)     NOT NULL,
    PROPERTY_START_DATE           DATE          ,
    PROPERTY_END_DATE             DATE          ,
    RESPONSIBLE_USER_NAME         VARCHAR2(400) ,
    ORG_ID                        NUMBER(18, 0)     NOT NULL,
    INTERNAL_LOCATION_ID          NUMBER(18, 0) ,
    EXTERNAL_LOCATION_ID          NUMBER(18, 0) ,
    PARENT_PROPERTY_ID            NUMBER(18, 0) ,
    PROPERTY_CODE                 VARCHAR2(120)     NOT NULL,
    ROOT_PROPERTY_CODE            VARCHAR2(120) ,
    ACTIVE_FLAG                   VARCHAR2(4)   ,
    SUBLEASABLE_FLAG              VARCHAR2(4)   ,
    PROPERTY_SIZE                 NUMBER        ,
    UNIT_OF_MEASURE_CODE          VARCHAR2(120) ,
    TENURE_CODE                   VARCHAR2(120) ,
    LEASABLE_LEVEL_FLAG           VARCHAR2(4)   ,
    HIERARCHICAL_PROPERTY_CODE    VARCHAR2(1440)    NOT NULL,
    SYSTEM_ORIGIN_REFERENCE_1     VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_2     VARCHAR2(120) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    CONSTRAINT pk_fla_properties_all PRIMARY KEY (PROPERTY_ID, PROPERTY_ID)
);
